Bug 1336073 - bad path set in shipped '/etc/OGRE/resources.cfg' causes '/usr/bin/SampleBrowser' to faill to start
Summary: bad path set in shipped '/etc/OGRE/resources.cfg' causes '/usr/bin/SampleBrow...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ogre
Version: 23
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Bruno Wolff III
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-14 00:32 UTC by Reartes Guillermo
Modified: 2016-12-20 20:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:29:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Reartes Guillermo 2016-05-14 00:32:50 UTC
Description of problem:

Execting '/usr/bin/SampleBrowser' fails with:

Added resource location '/usr/share/OGRE/Media/thumbnails' of type 'FileSystem' to resource group 'Essential'
An exception has occurred: OGRE EXCEPTION(7:InternalErrorException): /usr/share/OGRE/Media/packs/SdkTrays.zip - error whilst opening archive: Unable to read zip file. in ZipArchive::checkZzipError at /builddir/build/BUILD/ogre-1.9.0/OgreMain/src/OgreZip.cpp (line 310)


BAD PATH  : /usr/share/OGRE/Media/
GOOD PATH : /usr/share/OGRE/media/

-> the real directory is 'media' not 'Media', the default '/etc/OGRE/resources.cfg' file is WRONG. (or the wrong path was created by the rpm).


Version-Release number of selected component (if applicable):
# rpm -qa | grep -i ogre
ogre-overlay-1.9.0-12.fc23.x86_64
ogre-terrain-1.9.0-12.fc23.x86_64
ogre-utils-1.9.0-12.fc23.x86_64
ogre-property-1.9.0-12.fc23.x86_64
ogre-volume-1.9.0-12.fc23.x86_64
ogre-samples-1.9.0-12.fc23.x86_64
ogre-pagedgeometry-1.1.4-5.20131226hg3ad14141c027.fc23.x86_64
ogre-paging-1.9.0-12.fc23.x86_64
ogre-rtss-1.9.0-12.fc23.x86_64
ogre-1.9.0-12.fc23.x86_64


How reproducible:
always

Steps t o Reproduce:
1. install packages
2. open xterm/console
3. execute SampleBrowser
4. error

Actual results:
cannot execute SampleBrowser

Expected results:
Beign able to execute SampleBrowser

Additional info #1:

INCORRECT DEFAULT 'resources.cfg':

# cat /etc/OGRE/resources.cfg 
# Resources required by the sample browser and most samples.
[Essential]
Zip=/usr/share/OGRE/Media/packs/SdkTrays.zip
Zip=/usr/share/OGRE/Media/packs/profiler.zip
FileSystem=/usr/share/OGRE/Media/thumbnails

# Common sample resources needed by many of the samples.
# Rarely used resources should be separately loaded by the
# samples which require them.
[Popular]
FileSystem=/usr/share/OGRE/Media/fonts
FileSystem=/usr/share/OGRE/Media/materials/programs
FileSystem=/usr/share/OGRE/Media/materials/scripts
FileSystem=/usr/share/OGRE/Media/materials/textures
FileSystem=/usr/share/OGRE/Media/materials/textures/nvidia
FileSystem=/usr/share/OGRE/Media/models
FileSystem=/usr/share/OGRE/Media/particle
FileSystem=/usr/share/OGRE/Media/DeferredShadingMedia
FileSystem=/usr/share/OGRE/Media/PCZAppMedia
FileSystem=/usr/share/OGRE/Media/RTShaderLib
FileSystem=/usr/share/OGRE/Media/RTShaderLib/materials
FileSystem=/usr/share/OGRE/Media/materials/scripts/SSAO
FileSystem=/usr/share/OGRE/Media/materials/textures/SSAO
FileSystem=/usr/share/OGRE/Media/volumeTerrain
Zip=/usr/share/OGRE/Media/packs/cubemap.zip
Zip=/usr/share/OGRE/Media/packs/cubemapsJS.zip
Zip=/usr/share/OGRE/Media/packs/dragon.zip
Zip=/usr/share/OGRE/Media/packs/fresneldemo.zip
Zip=/usr/share/OGRE/Media/packs/ogretestmap.zip
Zip=/usr/share/OGRE/Media/packs/ogredance.zip
Zip=/usr/share/OGRE/Media/packs/Sinbad.zip
Zip=/usr/share/OGRE/Media/packs/skybox.zip
Zip=/usr/share/OGRE/Media/volumeTerrain/volumeTerrainBig.zip

[General]
FileSystem=/usr/share/OGRE/Media

# Materials for visual tests
[Tests]
FileSystem=/usr/Tests/Media


Additional info #2:

Please note that /usr/Tests/Media also does not exists but leaving it like that does not prevent SampleBrowser to start. It also sould be corrected if possible.

Comment 1 Fedora End Of Life 2016-11-25 09:01:42 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2016-12-20 20:29:22 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.